Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.matching
Interface BlockPicker

public interface BlockPicker

The BlockPicker class is used to select the block of fields in the blocking query to use for the next matching pass. eView Studio provides predefined block pickers, but you can create a custom block picker using the custom plug-in feature. Implement BlockPicker in any custom block pickers you create. When you create a custom block picker, you need to specify the name of the Java class in the Match Field file. For more information about the Match Field file and block pickers, see the eView Studio Configuration Guide.

Method Summary
`java.lang.String[]` | `pickBlock(SystemObject inObject, EOSearchOptions searchOptions, java.util.ArrayList previousBlockIDs, java.util.ArrayList remainingBlockIDs)` Selects the ID or IDs of the blocking definitions in the blocking query to use for the next matching pass.

Method Detail

### pickBlock

    public java.lang.String[] pickBlock(SystemObject inObject,
                                        EOSearchOptions searchOptions,
                                        java.util.ArrayList previousBlockIDs,
                                        java.util.ArrayList remainingBlockIDs)
                                 throws NoBlockApplicableException

  Selects the ID or IDs of the blocking definitions in the blocking query to use for the next matching pass.

  Parameters:
    `inObject` - The system object being matched.
    `searchOptions` - The options used for the search. From this, you can determine whether it is a weighted search or a normal match.
    `previousBlockIDs` - A list of blocking definition IDs that have already been used in previous match passes for this transaction.
    `remainingBlockIDs` - A list of remaining blocking definition IDs that have not been used in previous match passes for this transaction.
  Returns:
    `String` - The blocking definition IDs to use for the next matching pass in this transaction.
  Throws:
    `NoBlockApplicableException` - Thrown if there are no blocking definitions remaining that are applicable for the query. This signals the MatchEngineController that matching for this system object is complete.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.